Subject: iconify / geometry

From: "Dr.-Ing. Dieter Jurzitza" <[email-masked]>
Date: Mon, 26 Sep 2016 19:58:37 +0200

Dear Listmebers,
I elaborated a little further on this topic. Say, I was to start emacs (25.1) 
with

emacs -geometry 135x34+35+20 -iconic

xwininfo tells me:

fred@djunix:~> xwininfo 

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x420011f "emacs@djunix"

  Absolute upper-left X:  41
  Absolute upper-left Y:  57
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 1239
  Height: 807
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x420011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +41+57  -320+57  -320-336  +41-336
  -geometry 109x24+35+20

after "uniconifying" the frame. Leaving "-iconic" away, things come out as 
expected. I have no idea how 109x24 would correlate with 135x34.

I know this is a minor issue, however, if someone finds the time to look into 
it, I wanted to share my findings.
Thank you very much,
take care

Dieter Jurzitza

-- 
-----------------------------------------------------------
Dr.-Ing. Dieter Jurzitza                    76131 Karlsruhe